View Issue Details

IDProjectCategoryView StatusLast Update
0002889Ham Radio DeluxeGeneralpublic2018-11-11 00:34
ReporterWA9PIE 
Assigned ToWA9PIE 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.885 
Target VersionFixed in Version6.4.0.902 
Summary0002889: Relocate "LOTW" (import confirmations) menu item
DescriptionThe LOTW item in the Logbook, File, Import menu item is misplaced - as it is functionally and contextually unlike the other items in this menu. It should be moved to the Logbook, File, LOTW menu and renamed to something like "Import LOTW confirmations manually from ADIF."

Image attached.
Steps To ReproduceWithin Logbook, navigate to the Logbook, File, Import menu and notice "LOTW" there. This option runs the function that matches imported confirmations to existing QSOs in the log.

Within Logbook, navigate to the Logbook, File, LOTW menu. Note that the other items in this menu are related to the upload or download (automatic import) of electronic LOTW confirmations.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleImport Export
Testing Not Tested

Relationships

Activities

WA9PIE

2018-09-10 22:32

administrator  

LOTW option change.png (138,791 bytes)
LOTW option change.png (138,791 bytes)

K7ZCZ

2018-09-11 13:37

manager   ~0006199

Most menu commands are one or two words. ""Import LOTW confirmations manually from ADIF" is much longer than that, and would be very awkward to show in a menu -- the menu would need to be very wide to accommodate the length of that string.

Is a more succinct command possible?

WA9PIE

2018-09-28 08:10

administrator   ~0006242

Given that the menu already says "LOTW"... and that the user will be prompted to select an ADIF...

"Manual Import" is probably the best-worded choice.

K7ZCZ

2018-10-18 18:56

manager   ~0006296

I've made this change. Note that there's a similar menu structure under the "More..." button on the main toolbar of the Logbook's database view, so I made a similar change there.

K7ZCZ

2018-10-18 18:56

manager   ~0006297

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4375

g3ucq

2018-10-19 14:35

viewer   ~0006310

OK for me

WA9PIE

2018-11-05 12:00

administrator   ~0006381

I'm fine with this.

Issue History

Date Modified Username Field Change
2018-09-10 22:32 WA9PIE New Issue
2018-09-10 22:32 WA9PIE Status new => assigned
2018-09-10 22:32 WA9PIE Assigned To => K7ZCZ
2018-09-10 22:32 WA9PIE File Added: LOTW option change.png
2018-09-11 13:37 K7ZCZ Assigned To K7ZCZ => WA9PIE
2018-09-11 13:37 K7ZCZ Status assigned => feedback
2018-09-11 13:37 K7ZCZ Note Added: 0006199
2018-09-28 08:10 WA9PIE Note Added: 0006242
2018-10-18 18:56 K7ZCZ Note Added: 0006296
2018-10-18 18:56 K7ZCZ Status feedback => resolved
2018-10-18 18:56 K7ZCZ Resolution open => fixed
2018-10-18 18:56 K7ZCZ Note Added: 0006297
2018-10-19 08:06 K7ZCZ Fixed in Version => 6.4.0.898
2018-10-19 14:35 g3ucq Note Added: 0006310
2018-11-04 07:49 K7ZCZ Fixed in Version 6.4.0.898 => 6.4.0.900
2018-11-05 12:00 WA9PIE Status resolved => closed
2018-11-05 12:00 WA9PIE Description Updated View Revisions
2018-11-05 12:00 WA9PIE Steps to Reproduce Updated View Revisions
2018-11-05 12:00 WA9PIE Testing Not Started => Not Tested
2018-11-05 12:00 WA9PIE Note Added: 0006381
2018-11-11 00:34 WA9PIE Fixed in Version 6.4.0.900 => 6.4.0.902
2018-11-11 00:34 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe